
 LinHES - Bug # 261: add moblock, moblock-control, and moblquer from the AUR to the LinHES repo

Status: Closed Priority: Normal
Author: graysky Category:
Created: 03/06/2009 Assignee: jams
Updated: 12/25/2011 Due date: 12/31/1969
Description: I'd love to see the following packages added to the LinHES repo.  They are currently available in the AUR:

[[http://aur.archlinux.org/packages.php?ID=5925|moblock]]

[[http://aur.archlinux.org/packages.php?ID=16483|moblock-control]]

[[http://aur.archlinux.org/packages.php?ID=14802|mobloquer]]

History
03/06/2009 05:12 pm - jams
Added packages, but did not fully test them.
Please test and report back.

03/06/2009 05:52 pm - graysky
<code>
# pacman -Sy
# pacman -S moblock moblockcontrol mobloquer
resolving dependencies...
looking for inter-conflicts...

Targets (7): libnfnetlink-0.0.40-1  libnetfilter_queue-0.0.16-1  moblock-0.9rc2-7  
             moblockcontrol-1.0-8  sqlite3-3.6.7-2  qt-4.4.3-2  mobloquer-0.5-5  

Total Download Size:    18.17 MB
Total Installed Size:   59.47 MB

Proceed with installation? [Y/n] y
:: Retrieving packages from core-testing...
 qt-4.4.3-2-i686           17.9M  436.9K/s 00:00:42 [####################################] 100%
:: Retrieving packages from extra-testing...
 libnfnetlink-0.0.40...    23.0K   63.4K/s 00:00:00 [####################################] 100%
 libnetfilter_queue-...    11.7K   63.7K/s 00:00:00 [####################################] 100%
 moblock-0.9rc2-7-i686     12.9K   68.9K/s 00:00:00 [####################################] 100%
 moblockcontrol-1.0-...    20.5K   75.8K/s 00:00:00 [####################################] 100%
 mobloquer-0.5-5-i686     230.9K  209.1K/s 00:00:01 [####################################] 100%
checking package integrity...
(7/7) checking for file conflicts                   [####################################] 100%
(1/7) installing libnfnetlink                       [####################################] 100%
(2/7) installing libnetfilter_queue                 [####################################] 100%
(3/7) installing moblock                            [####################################] 100%

>>> moblock-update script no longer uses /var/spool/moblock
>>> as a temporary directory.  You can safely delete it.

(4/7) installing moblockcontrol                     [####################################] 100%
(5/7) installing sqlite3                            [####################################] 100%
(6/7) installing qt                                 [####################################] 100%

04/20/2025 1/3



Optional dependencies for qt
    postgresql-libs
    libmysqlclient
    unixodbc
(7/7) installing mobloquer                          [####################################] 100%

</code>

All seemed to install okay.

One thing I noticed when I attempted to active using moblock-control:

<code>

# moblock-control update
Error 66: Missing directory /var/spool/moblock/used.
Check the BLOCKLISTS_DIR_USED setting.
BLOCKLISTS_DIR_USED is set in /etc/moblock/moblock.conf.
</code>

I did a:

<code>
[root@myth-bathroom rc.d]# mkdir /var/spool/moblock/used
[root@myth-bathroom rc.d]# moblock-control update
Updating blocklists and reloading MoBlock: moblock
Updating blocklists and reloading MoBlock: moblock[root@myth-bathroom rc.d]#
</code>

It seems to work, but it's totally unclear to me how this does or doesn't update itself via cron jobs like it does on R5.5... I'm just too new at Arch :)
I also noticed some of the config files seems to be missing.  If you run mobloquer from the GUI you'll see what I mean.  Let me get with the dev of 
moblock and see if I can sort this out and report back.  Please keep the task open.

03/06/2009 06:14 pm - jams
probably need to symlink the moblock-update script to /etc/cron.daily/  (assuming it runs once a day)
How often should it run?

03/07/2009 05:00 am - graysky
Daily I believe...

03/08/2009 11:35 am - graysky
Cool, installed all three packages and found there only need to be two little modifications:

1) Create a dir: # mkdir /var/spool/moblock/used
2) Modify the /etc/moblock/blocklists.list and change the line that reads **www.bluetack.co.uk/config/templist.gz** to read 
**www.bluetack.co.uk/config/badpeers.gz**

Now the user can run the update script which fetches the block lists and compiles them via: # moblock-control update
(this will take some time 2-3 min).

We can consider adding two things to the LinHES system at this point:
1) Make moblock a service so it starts at boot.
2) Add a cron job so that moblock-control updates automatically... perhaps every 2 days is good.

Thoughts?  Thank you for adding this to the LinHES repos by the way :)

03/10/2009 05:53 pm - graysky
[[http://moblock-deb.svn.sourceforge.net/viewvc/moblock-deb/moblock-control/moblock-control/init?view=markup&pathrev=277|Here]] is the startup 
script.

[[http://moblock-deb.svn.sourceforge.net/viewvc/moblock-deb/moblock-control/moblock-control/cron.daily?view=markup&pathrev=277|Here]] is the cron 
job script.

Here is jre's comments (he's the dev):

//Just follow the links and click "download".
Save "init" as /etc/init.d/moblock and "cron" as /etc/cron.daily/moblock.
Then make them executable (e.g. "sudo chmod +x /etc/init.d/moblock").

There's not much more in those files, then what you suggest. Just some messages for the logfile and terminal and a test, if their execution is disabled 
by user configuration. And for the init several options to call it (stop, start, reload, restart).//

03/20/2009 02:58 pm - jams
The provided scripts will not work well as a proper runit service.
To start moblock on boot add it to /etc/runit/1.local

"/usr/bin/moblock-control start " seems to work fine for me

12/25/2011 03:05 pm - jams
- Target version changed from 7.2 to 6.00.04
